function [descriptors locations] = loadSift(filename)

fid = fopen(filename, 'r');

numDescriptors = fread(fid, 1, 'int');
numDimensions = fread(fid, 1, 'int');

descriptors = fread(fid, [numDimensions,numDescriptors], 'uchar');
locations= fread(fid, [4, numDescriptors], 'float');

if numDescriptors>0
	locations = locations([3 4 1 2],:);
end
fclose(fid);
end
