%Goes through each of the images in the testList and matches it to all the other imags in the list.
%INPUT
%testList is strcture, where testList(i).siftName is the name of file that contains sift descriptors
%OUTPUT
%bestResults(i,j) is the matching score between two images.
%results are diagnostic stuff
function [bestResults,results] = selfMatching(testList)
	res=[];
	tic
	bestError=0;
	bestTrans=0;
	%result = zeros(length(testList),length(trainList));


	bbim=0;
	tic
	testFeatures = loadFeatures(testList)
	
	for i=1:length(testList)
		for j=1:length(testList)
			if size(testFeatures(j).f,2)>0 & size(testFeatures(i).f,2) >0
				[initError,trans,errors] = imageMatch(testFeatures(i).f,testFeatures(j).f,testFeatures(i).l,testFeatures(j).l);
				results(i,j).res =  [testList(i).num testList(j).num initError];
				results(i,j).err = initError;
				results(i,j).trans = trans;
				results(i,j).allerr = errors;
				bestResults(i,j)=initError;
			end
		end
	end

function data = loadFeatures(fileList)
	
	for i=1:length(fileList)
		fileList(i).siftName;
		[f,l] = loadSift(fileList(i).siftName);
		data(i).l = l;
		data(i).f =f;

	end
