%webtrain contains the environment from training

%load('/home/lciuser/DaveShadow/initial/main/webtrain.mat');
%load('/home/lciuser/turntable_data_pruned_uniform/webtrain.mat');

load webtrain

noSift=0; %if 1, don't compute sift because they have been done
%testpath = '/home/lciuser/SRVC_Prelim/robotImages_bbox/';
testpath = '/home/lciuser/DRI7/robotImages/';%'/home/lciuser/testImages/robotImages/';
output = '/home/lciuser/DRI7/robotImages/';%'/home/lciuser/testImages/robotImages/';
%output = '/home/lciuser/SRVC_Prelim/robotImages_bbox/';


%These files
%testpath ='/.autofs/lci/lciSCRATCH/shelmer/Datasets/SRVC/other/';
%output = '/.autofs/lci/lciSCRATCH/shelmer/Datasets/SRVC/other/'
mkdir(output);

%Determines file structure (ie. filenames of the test images and relevant sift descriptors
testList = writeSiftImages(testpath,output,1000,'.jpg',0,noSift);


[results,bestResults] = findMatchingImages(testList,fileList,maxRes,1);

mkdir('results');

%Writes the image for the best matches from the testing images for each object class
fid = fopen(listFile);
a = textscan(fid,'%s','delimiter','\n')
for i=1:length(bestResults)
	if length(bestResults(i).im)>0
		strcat(a{1}{i},'.bmp')
		imwrite(bestResults(i).im,strcat('results/',a{1}{i},'.bmp'));
	end
end


save('results/results',results);
