% Disconnect everything
try
    if configPars.usingLaptop
        if cameraPars.canonfl
            cameraCapture('stop');
        end;
    end;
catch
end;

%close log file
try
    fclose(mappingPars.logFile);
catch
end;

% Close object files
try
    fclose(configPars.objectFile1);
catch
end;
try
    fclose(configPars.objectFile2);
catch 
end;

% Disconnect Robot
try
    powerbot('setpos',0,0);
    powerbot('disconnect');
catch
end;

% Stop SLAM
try
    performSlam('stop');
catch
end;

% Stop cameras
try
    if configPars.usingLaptop
      camera('stop_capture');
      camera('disconnect');
    end;
catch
end;
