function objs = updateObjectLocations(objs)
% Update salient object locations relative to the robot
%
% objs - Salient objects to update
%

objLocs = performSlam('get_objects');
objsSize = size(objs);
if objsSize(1) > 0
  objs(1:objsSize(1),1:3) = objLocs(1:objsSize(1),1:3);
end;