function grid = gridBuildAdjacencyLists( height,width)

    grid.adjLists = cell(height,width);
    grid.valid = cell(height,width);    
    
    for origRow=1:height
        for origCol=1:width
                        
            neighbors = [];
            grid.valid{origRow,origCol} = ones(8,1);
            
            count =1;
        
            for col = origCol-1:origCol+1
               for row = origRow-1:origRow+1
                   
                    if ( col ~= origCol || row ~= origRow ) % It's not the cell itself
                       
                        if col <= 0 || col > width || row <= 0 || row > height 
                           
                            grid.valid{origRow,origCol}(count) = 0;
                        end;
                   
                       neighbors = [ neighbors; [ row col count ] ];
                        count = count + 1;
                    end;
               end;
            end;
            
            grid.adjLists{origRow,origCol} = neighbors;            
        end;
    end;