function neighbors = gridFindNeighbors( columns, rows, width, height )

    neighbors = [];
    
    points = length(columns);
    
    for idx = 1:points
       
       origCol = columns(idx);
       origRow = rows(idx);

       for col = max(origCol-1,1):min(origCol+1,width)
           for row = max(origRow-1,1):min(origRow+1,height)
              if isempty( find(neighbors(1:2,:) == [ row; col ]  ) )
                 neighbors = [ neighbors [ row; col; origRow; origCol ] ];
              end;
           end;
       end;
    end;