function [Pr,links,dGraph,sigWeights]=gridInitialize(width,seed,f,silent,tit)

spacing = 10;

for row=1:width
    for col=1:width
        
        Pr( gridGetIndex(row,col,width),:) = [ spacing*(col-1) spacing*(row-1) 0 ]';
    end;
end;

[links,dGraph]=gridBuildGraph(Pr,width);
sigWeights = ones(width*width);

% Plot the graph
if ~silent
    xlabel('X (in cm)','FontSize',14,'FontWeight','demi');
    ylabel('Y (in cm)','FontSize',14,'FontWeight','demi');
    title(tit,'FontSize',14,'FontWeight','demi');
    
	plot(Pr(:,1),Pr(:,2),'r.'); 
	
 	drawGraph( Pr, links, sigWeights, 1,1,'--' );
end;