close all;
clear all;
clc;


SALIENCY_TOOLBOX = '../../resources/SaliencyToolbox';

addpath(genpath(SALIENCY_TOOLBOX));

%inputImage = '/.autofs/lci/lciprojectraid1/srvc/bumblebee1/frame01_left.png';
%depthImage = '/.autofs/lci/lciprojectraid1/srvc/bumblebee1/frame01_depth0.png';

% inputImage = '../matlab_powerbot/data/img_pan_-20_tilt_-35_sample_1_rightRect.png';
% depthImage = '../matlab_powerbot/data/img_pan_-20_tilt_-35_sample_1_disp.png';
% objectImage = '../matlab_powerbot/results/img_pan_-20_tilt_-35_sample_1_object.png';
% 
% inputImage = '../matlab_powerbot/data/img_pan_-20_tilt_-30_sample_3_rightRect.png';
% depthImage = '../matlab_powerbot/data/img_pan_-20_tilt_-30_sample_3_disp.png';
% objectImage = '../matlab_powerbot/results/img_pan_-20_tilt_-30_sample_3_object.png';

inputImage = '../matlab_powerbot/data/img_pan_0_tilt_-43_sample_1_rightRect.png';
depthImage = '../matlab_powerbot/data/img_pan_0_tilt_-43_sample_1_disp.png';
objectImage = '../matlab_powerbot/results/img_pan_0_tilt_-43_sample_1_object.png';

I = imread(inputImage);
D = imread(depthImage);
O = imread(objectImage);

[rows,cols,junk] = size(O);

O_bin = zeros(rows,cols,'uint8');
O_bin(find(O(:,:,1)~=0 | O(:,:,2)~=0 | O(:,:,3)~=0))=255;

I_sized = imresize(I,size(D),'bicubic');

tempImage = 'temp.png';

imwrite(I_sized,tempImage,'png');

params = depthModifiedSaliencyParams(depthImage,tempImage );

O_bin = ones(rows,cols,'uint8').*255;
runSaliency(inputImage,O_bin);
%runSaliency('/.autofs/lci/lciprojectraid1/dpmeger/Saliency/testImages/cat01.png');

%runSaliency(tempImage,params);

