%
% Grab raw image
%
%addpath /ubc/cs/home/p/perfo/matlab/firewire/
addpath ../../resources/PEImageGrabbing/

configFile = '../stereoCode/bb_id5020143.config';

%camera('connect',1);
%camera('setup_capture',1);
powerbot('connect','bart.ubcrobots.net',7001);

powerbot('setpos',0,-20.0);

figure(1);clf

%tic; Commented because there is now a tic in SRVC
for k=1:30,
    
  %[il,ir]=bayer2rgbstereo(camera('getframe'),0,0,2);
  
  img=[];
  while(length(img)==0) img=powerbot('getframe');end
  [il,ir]=bayer2rgbstereo(img,0,bpattern,2);
  
  subplot(2,1,1);
  image([il ir]);axis image
  im=uint8(zeros(size(il)));
  im(:,:,1)=uint8(il(:,:,2)*255);
  im(:,:,2)=uint8(ir(:,:,2)*255);
  disp=triclops_stereo(im,configFile);
  subplot(2,2,3);
  image(im);axis image
  subplot(2,2,4);
  imagesc(double(disp).*(disp<250));axis image
  drawnow
end
toc

%imwrite(im,'stereo.ppm');

%camera('disconnect')
powerbot('setpos',0,0);
powerbot('disconnect');

if 0,
  [b,a]=hist(disp(:),[0:255]);
  subplot(2,2,2);hold off
  plot(a,b,'.-');
  v=axis;axis([0 255 v(3:4)])
  grid on
  title('Used disparity values')
end