% [<il>,<ir>]=bayer2rgbstereo(buf,[<ssflag>,<bpattern>,<fields>])
%
%  Convert a possibly multi-field DCAM buffer to
%  Matlab RGB images.
%  Multiple Bayer fields are used e.g. by the Bumblebee stereo
%  camera.
% 
% BUF      DCAM buffer
% SSFLAG   Subsample to half resolution if 1 (default), interpolate to
%          full resolution if 0.
% BPATTERN Bayer pattern 0=BGGR,1=GRBG,2=RGGB (default) ,3=GBRG
% FIELDS   Number of fields (default 2)
%
%Per-Erik Forssen, December 2006