%function strg=zeropad(number,digits)
%
% This function converts an integer into a zero-padded string.
%
% NUMBER  Integer
% DIGITS  Total number of digits
%
%Per-Erik Forssen,2000

function strg=zeropad(num,n)

strg=[];
nmod=num;
for k=1:n,
    ndiv=floor(nmod/10^(n-k));
    nmod=nmod-ndiv*10^(n-k);
    strg=[strg sprintf('%d',ndiv)];
end;