import Image, os, sys,re

def hasHBackground(imageFilename):	
	hBackground = os.system("./hbackground " + imageFilename + " 3 100 20 0.2 0.4 ")
	return hBackground

def openAndFilter(nullArg,directory,imageList):

	print directory
	infoFile = open(os.path.join(directory,'imageInfo.txt'),'w')

	for iName in imageList:
		fullName = os.path.join(directory, iName)
		if not os.path.isdir(fullName):	
			try:
				i = Image.open(fullName)
	
				outName = iName.split(".")
				num = outName[0]
				#outName = num + ".ppm"
				print "Opened " + fullName
				if hasHBackground(fullName):
					infoFile.write(num + ' 1\n')
				else:
					infoFile.write(num + ' 0\n')	
				#i.save(os.path.join(directory, outName), 'ppm')
				#os.system("rm -rf " +os.path.join(directory,iName))
			except IOError:
				print "Didn't open file " + fullName
			

def getImagesFromList(listFileName, exeDir, resultDir, numPages, numImages):
	listFile = open(listFileName, 'r')
	os.chdir(exeDir)
	dirName = 0
	for line in listFile:
		line = "+".join(line.split())
		print line
		print "./monofetch.sh %s %s %s %s" % (line, resultDir + str(dirName), numPages, numImages)
		os.system("./monofetch.sh \"%s\" %s %s %s" % (line, resultDir + str(dirName), numPages, numImages))
		dirName = dirName + 1
	os.chdir("..")

exeDir = os.getcwd() + '/scripts'
resultImages = os.getcwd() + '/resultImages/'
nullArg = ""
os.mkdir(resultImages)
getImagesFromList("list.txt", exeDir, resultImages, 10,20)
os.path.walk(resultImages, openAndFilter,nullArg)

