%function h=plot_rgbhist(im)
%
% Plot R,G and B histogram curves
% of IM in current figure.
%
%Per-Erik Forssen, Oct 2005

function h=plot_rgbhist(im)

mv=max(im(:));
hc=[0:255]/255*mv;

h=zeros(3,1);
col='rgb';

for k=1:3,
  b=im(:,:,k);
  [bval,a]=hist(b(:),hc);
  h(k)=plot(hc,bval,col(k));
  hold on;
end
