%function bbox=centreBoundingBox(object,sc,wc)
%
% Move a bounding box to the image centre
% and scale it.
%
% OBJECT   Object struct
% SC       Scale change
% WC       New origin
%
%Per-Erik Forssen, May 2007
function bbox=centreBoundingBox(object,sc,wc)

bbox=object.bb;

bbox.topLeft=(bbox.topLeft-object.centre)*sc+wc';
bbox.botRight=(bbox.botRight-object.centre)*sc+wc';

