%function  imb=draw_bbox(img,bbox);
%
% Draw bounding box in bitmap
%
%Per-Erik Forssen, May 2007
function  imb=draw_bbox(img,bbox);

imb=img;

mask=zeros(size(imb(:,:,1)));

bbox.topLeft=round(bbox.topLeft);
bbox.botRight=round(bbox.botRight);

mask(bbox.topLeft(1):bbox.botRight(1),bbox.topLeft(2))=1;
mask(bbox.topLeft(1):bbox.botRight(1),bbox.botRight(2))=1;
mask(bbox.topLeft(1),bbox.topLeft(2):bbox.botRight(2))=1;
mask(bbox.botRight(1),bbox.topLeft(2):bbox.botRight(2))=1;

mask=uint8(mask);
imb(:,:,1)=imb(:,:,1).*(1-mask)+mask*255;
imb(:,:,2)=imb(:,:,2).*(1-mask);
imb(:,:,3)=imb(:,:,3).*(1-mask);

