clear all;
close all;
clc;

addpath ../../resources/PEImageGrabbing/
addpath ../stereoCode/
addpath ../matlab_powerbot/
addpath ../gaze/
addpath ../mapping/
addpath ../mapping/pmap
addpath ../planning/
addpath ../saliency/

SALIENCY_TOOLBOX = '../../resources/SaliencyToolbox';
addpath(genpath(SALIENCY_TOOLBOX));

is16BitDisp = false;
configFile = '../stereoCode/bb_id5020143.config';

odom = [ 10 0 0 ];
performSlam('start',odom);
oGrid = performSlam('get_map');

coverageMap = zeros(size(oGrid),'uint8');
rPose = performSlam('get_curvecpos');

rPose = [ 0; 0; pi];
tilt = 40;

[ coverageMap ] = updateCoverage( coverageMap, tilt,rPose );
  
figure(2);
image(coverageMap);

[ goal planningPars.exploreDone ] = globalPlanner(oGrid,mappingPars.objs,planningPars,cameraPars,configPars)

performSlam('stop');