/*
 *  Minimal interface to Bumblebee
 */

#ifndef __BB_MINI
#define __BB_MINI

#include <libraw1394/raw1394.h>
#include <libdc1394/dc1394_control.h>
#define MAX_PORTS 4
#define MAX_RESETS 10
#define DMA_DEV_NAME "/dev/video1394-0"
#define DROP_FRAMES 1
#define DC1394_BUFFERS 8

int BB_save_image(char *filename, dc1394_cameracapture *camera);
int BB_find_camera(raw1394handle_t *rhandle,dc1394_cameracapture *camera,
		   int infofl);
int BB_release(raw1394handle_t handle,dc1394_cameracapture *camera);
int BB_setup_capture(raw1394handle_t handle,dc1394_cameracapture *camera,
		     char * dma_dev_name);
int BB_setwhitebalance(raw1394handle_t handle,dc1394_cameracapture *camera,
		       int whitebal_ub,int whitebal_vr);
int BB_start_iso_transmission(raw1394handle_t handle,
			      dc1394_cameracapture *camera);
int BB_single_capture(raw1394handle_t handle,dc1394_cameracapture *camera);
int BB_buffer_free(dc1394_cameracapture *camera);

#endif /* __BB_MINI */
