function [links,d] = gridBuildGraph(Pr,width)

N=length(Pr);
links=eye(N);
d=zeros(N,N);

for node1 = 1:N
        
    % Get the list of indexes for adjacent nodes in the graph
    neighbors = gridFindNeighbors( node1,width );
    
    links(node1,neighbors) = 1;
    
    
    for node2=1:node1-1
        
        d(node1,node2) = norm( Pr(node1,:)'-Pr(node2,:)');
        d(node2,node1) = d(node1,node2);
    end;
end;
