function I = up2(in,f)

error(nargchk(1,2,nargin))

if nargin == 1
  f = [];
end

[M, N, C] = size(in);

I=zeros(2*M,2*N,C);
I(1:2:end,1:2:end,:)=in;
I(2:2:end,1:2:end,:)=in;
I(1:2:end,2:2:end,:)=in;
I(2:2:end,2:2:end,:)=in;

if length(f) > 0
  for ch=1:C
    I(:,:,ch) = conv2(f',f,I(:,:,ch),'same');
  end
end
