function [slope intercept] = fitLine( data )

% Generate some data from a linear model

%  true_m = 10;
%  true_b = 2;
%  sigma = 0.5;
%  
%  x = rand(20,1);
%  y = true_m * x + true_b + sigma * randn(20,1);
%  
%  plot(x,y,'b.');
%  hold on;

A = [];
b = [];

[rows,cols] = size(data);

for i = 1:rows

    A = [ A ; 0 0 data(i,1) ];
    A = [ A ; data(i,1) 1 0 ];
    b = [ b ; data(i,1); data(i,2) ];
end;

A = double(A);
b = double(b);

x = inv(A'*A)*A'*b;
slope = x(1);
intercept = x(2);

%  x_eval = 0:0.01:1;
%  plot(x_eval,x(1)*x_eval+x(2),'r');
